<section class="shoutbox-contentbox" id="shoutbox-entries-tab">
	<?php if ($fHasEntries === true) : ?>
		<form name="delete-entries" id="delete-entries" action="<?=WB_URL?>/modules/shoutbox/delete_entries.php" method="post">
			<input type="hidden" name="page_id" value="<?=$page_id?>">
			<table id="entries-list" role="presentation">
				<tr>
					<td class="entry-check">
						<input type="checkbox" name="select_all" id="select-all">
					</td>
					<td colspan="3">
						<?=$MOD_SHOUTBOX['SELECT_ALL']?>
					</td>
					<td>
						<button type="button" class="refresh-entries"><i class="fa fa-fw fa-refresh"></i> <?=$MOD_SHOUTBOX['REFRESH']?></button>
				</tr>
				<tr><td colspan="5"><hr></td></tr>

				<?php foreach ($aData as $k => $d) : ?>
					<tr>
						<td class="entry-check <?=$d['oddeven']?>">
							<input type="checkbox" name="delete[]" value="<?=$d['id']?>" id="c<?= $k ?>" class="delete-checkbox">
						</td>
						<td class="entry-text <?=$d['oddeven']?>">
							<?=$d['message_short']?>
						</td>
						<td class="<?=$d['oddeven']?>">
							<?php if ($d['has_more'] === true) : ?>
								<i class="fa fa-search tooltip" data-simpletooltip="init" data-simpletooltip-position="left" title="<?=$d['message']?>"></i>
							<?php endif; ?>
						</td>
						<td class="entry-name <?=$d['oddeven']?>"><?=$d['name']?></td>
						<td class="entry-date <?=$d['oddeven']?>"><?=$d['date']?></td>
					</tr>
				<?php endforeach; ?>

				<tr><td colspan="5"><hr></td></tr>
				<tr>
					<td colspan="5">
						<button name="delete-button" type="button" id="delete-button" class="danger"><i class="fa fa-fw fa-trash"></i> <?=$MOD_SHOUTBOX['DELETE']?></button>
					</td>
				</tr>
			</table>
		</form>
	<?php else : ?>
		<div style="float:left;"><?=$MOD_SHOUTBOX['NO_ENTRIES']?></div>
		<button type="button" class="refresh-entries" style="float:right;"><i class="fa fa-fw fa-refresh"></i> <?=$MOD_SHOUTBOX['REFRESH']?></button>
		<div style="clear:both;"></div>
	<?php endif; ?>
</section>
