<?php if ($fHasError === true) : ?>
	<div class="error"><?=$error_msg?></div>
<?php endif; ?>

<div class="shoutbox" style="height: <?=$shoutbox_height?>px;" id="shoutbox-start">
	<table class="shoutbox-table">
		<?php foreach ($aData as $d) : ?>
			<?php if ($use_alternative_display === true) : ?>
				<tr class="a-line-1">
					<td><?=$d['name'].' '.$MOD_SHOUTBOX['WROTE_ON'].' '.$d['date_string'].' '.$MOD_SHOUTBOX['AT'].' '.$d['time_string'].':'?></td>
				</tr>
				<tr class="a-line-2">
					<td><?=$d['message']?></td>
				</tr>
			<?php else : ?>
				<tr>
					<td class="s-date" <?=$d['time_width']?> ><?=$d['entry_time']?></td>
					<td class="s-name"><?=$d['name']?></td>
					<td class="s-message"><?=$d['message']?></td>
				</tr>
			<?php endif; ?>
		<?php endforeach; ?>
	</table>
</div>

<?php if ($use_as_chat === true) : ?>
	<script>
		var hide_reload = false;
		<?php if ($hide_reload === true) : ?>
			hide_reload = true;
		<?php endif; ?>
	</script>
	<script src="<?=WB_URL?>/modules/shoutbox/js/shoutbox_chat.js"></script>
<?php endif; ?>

<div>
	<form id="shoutbox_form" action="<?=$_SERVER['PHP_SELF']?>" method="post" onsubmit="return test_submit(<?php echo $max_length.",'".$MOD_SHOUTBOX['ERRMSGLG']."'"; ?>);">
		<?php if ($hide_username === true) : ?>
			<input type="hidden" name="shoutbox_name" value="<?=$shoutbox_name?>">
		<?php else : ?>
			<strong><?=$MOD_SHOUTBOX['NICKNAME']?>:</strong>
			<br>
			<input type="text" name="shoutbox_name" size="30" maxlength="20" value="<?=$shoutbox_name?>" <?=$name_readonly?>>
			<br>
		<?php endif; ?>
		<strong><?=$MOD_SHOUTBOX['MESSAGE']?>:</strong>
		<br>

		<?php if ($use_smileys === true) : ?>
			<?php foreach ($smileys as $key => $value) : ?>
				<img class="smileys" src="<?=$base_path.$value?>" alt="<?=$key?>" onclick="addsmiley('<?=$key?>')">
			<?php endforeach; ?>
		<?php endif; ?>

		<textarea id="shoutbox-message" cols="20" rows="3" name="shoutbox_message" onkeyup="count_chars(this, <?=$max_length?>);" onchange="count_chars(this, <?=$max_length?>);"></textarea>
		<br>

		<div id='counter_label'><?=$MOD_SHOUTBOX['CHARS_LEFT']?>:&nbsp;</div>
		<div id="char_counter"><?=$max_length?></div>

		<input type="submit" name="shoutbox_submit" value="<?=$MOD_SHOUTBOX['SHOUTIT']?>">
		<input type="hidden" name="shoutbox_ip" value="<?=$_SERVER['REMOTE_ADDR']?>">
	</form>
</div>
