<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

require_once "../../../config.php";
if (!defined('WB_PATH')) die(header('Location: index.php'));

// get entries
$page_id = $_POST['page_id'];
$qEntries = $database->query ("SELECT name,date from ".TABLE_PREFIX."mod_shoutbox where page_id=".$page_id." ORDER BY date ASC");
$i = 0;
$aData = [];
$aNames = [];
while ($aEntries = $qEntries->fetchRow(MYSQLI_ASSOC)) :
	$aNames[] = $aEntries['name'];
	$aDates[] = $aEntries['date'];
	$i++;
endwhile;

$aNames = array_unique($aNames);
$first_time = gmdate(TIME_FORMAT, $aDates[0] + TIMEZONE);
$last_time = gmdate(TIME_FORMAT, $aDates[$i-1] + TIMEZONE);
$date = gmdate(DATE_FORMAT, $aDates[0] + TIMEZONE);
$headline = 'Teilnehmer am '.$date.' von '.$first_time.' bis '.$last_time."\n";

// write the txt
$folder = '../temp/';
$filename = 'shoutbox-teilnehmer_'.gmdate("Y-m-d_H-i", time() + TIMEZONE).'.txt';
$file = $folder.$filename;
if (is_writable($folder)) :
	$fp = fopen($file, 'w');
	fwrite($fp, $headline);
	foreach ($aNames as $name) :
		fwrite($fp, $name."\n");
	endforeach;
	fclose($fp);
	// build and return the downloadlink
	$link = WB_URL.'/modules/shoutbox/temp/'.$filename;
	echo '<i class="fa fa-lg fa-fw fa-download"></i>&nbsp;<a href="'.$link.'" download>'.$filename.'</a>';
else :
	echo 'error';
endif;
