<script src="<?=WB_URL?>/modules/shoutbox/js/simpletooltip.min.js"></script>
<?php if (DEFAULT_THEME != 'argos_theme_reloaded') : ?>
	<script src="<?=WB_URL?>/modules/shoutbox/js/jquery.easytabs.min.js"></script>
<?php endif; ?>

<div id="tab-container" class="tab-container top">

	<ul class='etabs'>
		<li class="tab shoutbox-settings-tab">
			<a href="#shoutbox-settings-tab"><?=$MOD_SHOUTBOX['SETTINGS']?></a>
		</li>
		<li class="tab shoutbox-entries-tab">
			<a href="#shoutbox-entries-tab"><?=$MOD_SHOUTBOX['ENTRIES']?></a>
		</li>
		<li class="tab shoutbox-export-tab">
			<a href="#shoutbox-export-tab"><?=$MOD_SHOUTBOX['EXPORT']?></a>
		</li>
	</ul>

	<?php include "tab_settings.tpl"; ?>

	<?php include "tab_entries.tpl"; ?>

	<?php include "tab_export.tpl"; ?>

</div>

<script>
	$(document).ready(function() {
		// handle the select all functionality
		$('#select-all').click(function() {
			var checkAll = $('#select-all').prop('checked');
            if (checkAll) {
                $('.delete-checkbox').prop('checked', true);
            } else {
                $('.delete-checkbox').prop('checked', false);
            }
		});

		$('.delete-checkbox').click(function() {
			var sumCheckboxes = $('.delete-checkbox').length
			var checkedBoxes = $('.delete-checkbox:checked').length;
            if (sumCheckboxes == checkedBoxes) {
                $('#select_all').attr('checked', 'checked');
            } else {
                $('#select-all').removeAttr('checked');
            }
        });

		// handle the cancel button
        $('.cancel-button').click(function() {
			window.location = '<?=ADMIN_URL?>/pages/index.php';
			return false;
		});

		// handle the delete submit
		$('#delete-button').click(function() {
			var checkedBoxes = $('.delete-checkbox:checked').length;
			//console.log(checkedBoxes);
			if (checkedBoxes == 0) {
				alert("<?=$MOD_SHOUTBOX['NOTHING_TO_DELETE']?>");
			} else {
				var confirmed = confirm("<?=$MOD_SHOUTBOX['CONFIRM_DELETE']?>");
				//console.log(confirmed);
				if (confirmed == true) {
					$('#delete-entries').submit();
				}
			}
		});

		// init the tabs
		if (!sessionStorage.sbTabsName) {
			sessionStorage.setItem('sbTabsName','shoutbox-settings-tab');
		}

		active_tab = sessionStorage.getItem('sbTabsName');

		$('#tab-container').easytabs({
			animate : false,
			defaultTab : 'li.' + active_tab,
			transitionIn : 'slideDown',
			transitionOut : 'slideUp',
			transitionInEasing : 'linear',
			transitionOutEasing : 'linear',
			updateHash : false,
		});

		// fetch the active tab
		$('.tab').click(function() {
			if ($(this).hasClass('active')) {
				tabs_name = $(this).children('a').attr('href');
				tabs_name = tabs_name.substr(1);
			}
			//console.log(tabs_name);
			sessionStorage.setItem('sbTabsName',tabs_name);
		});

		// refresh the entries display
		$('.refresh-entries').click(function() {
			location.reload(true);
		});

		// handle the date-time info onclick
		var info_date = '<?=gmdate(DATE_FORMAT, time() + TIMEZONE)?>';
		var info_time = '<?=gmdate(TIME_FORMAT, time() + TIMEZONE)?>';

		$('.date-time-check').click(function() {
			var date_checked = $('#show-date').prop('checked');
			var time_checked = $('#show-time').prop('checked');
			//console.log(date_checked + ' ' + time_checked);
			if (date_checked == true && time_checked == true) {
				$('#date-time-info').html(info_date + ' ' + info_time);
				$('#user-alternative-display').removeAttr('checked');
			} else if (date_checked == true && time_checked == false) {
				$('#date-time-info').html(info_date);
				$('#user-alternative-display').removeAttr('checked');
			} else if (date_checked == false && time_checked == true) {
				$('#date-time-info').html(info_time);
				$('#user-alternative-display').removeAttr('checked');
			} else if (date_checked == false && time_checked == false)  {
				$('#date-time-info').html('');
			}
		});

		// init the date-time info onload
		var date_checked = $('#show-date').prop('checked');
		var time_checked = $('#show-time').prop('checked');
		if (date_checked == true && time_checked == true) {
			$('#date-time-info').html(info_date + ' ' + info_time);
		} else if (date_checked == true && time_checked == false) {
			$('#date-time-info').html(info_date);
		} else if (date_checked == false && time_checked == true) {
			$('#date-time-info').html(info_time);
		} else if (date_checked == false && time_checked == false)  {
			$('#date-time-info').html('');
		}

		// uncheck datetime whe alternative display is selected
		 $('#user-alternative-display').click(function() {
			var alternate_checked = $(this).prop('checked');
			console.log(alternate_checked);
			if (alternate_checked == true) {
				$('#show-date').removeAttr('checked');
				$('#show-time').removeAttr('checked');
				$('#date-time-info').html('');
			}
		 });

	});
</script>
